package com.ruoyi.finance.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.finance.domain.TFeeDo;
import com.ruoyi.finance.mapper.TFeeDoMapper;
import com.ruoyi.finance.service.ITFeeDoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 财务数据明细Service业务层处理
 *
 * @author ruoyi
 * @date 2021-01-18
 */
@Service
public class TFeeDoServiceImpl implements ITFeeDoService {
    @Autowired
    private TFeeDoMapper tFeeDoMapper;

    /**
     * 查询财务数据明细
     *
     * @param fId 财务数据明细ID
     * @return 财务数据明细
     */
    @Override
    public TFeeDo selectTFeeDoById(Long fId) {
        return tFeeDoMapper.selectTFeeDoById(fId);
    }

    /**
     * 查询财务数据明细列表
     *
     * @param tFeeDo 财务数据明细
     * @return 财务数据明细
     */
    @Override
    public List<TFeeDo> selectTFeeDoList(TFeeDo tFeeDo) {
        return tFeeDoMapper.selectTFeeDoList(tFeeDo);
    }

    /**
     * 新增财务数据明细
     *
     * @param tFeeDo 财务数据明细
     * @return 结果
     */
    @Override
    public int insertTFeeDo(TFeeDo tFeeDo) {
        tFeeDo.setCreateTime(DateUtils.getNowDate());
        return tFeeDoMapper.insertTFeeDo(tFeeDo);
    }

    /**
     * 修改财务数据明细
     *
     * @param tFeeDo 财务数据明细
     * @return 结果
     */
    @Override
    public int updateTFeeDo(TFeeDo tFeeDo) {
        tFeeDo.setUpdateTime(DateUtils.getNowDate());
        return tFeeDoMapper.updateTFeeDo(tFeeDo);
    }

    /**
     * 批量删除财务数据明细
     *
     * @param fIds 需要删除的财务数据明细ID
     * @return 结果
     */
    @Override
    public int deleteTFeeDoByIds(Long[] fIds) {
        return tFeeDoMapper.deleteTFeeDoByIds(fIds);
    }

    /**
     * 删除财务数据明细信息
     *
     * @param fId 财务数据明细ID
     * @return 结果
     */
    @Override
    public int deleteTFeeDoById(Long fId) {
        return tFeeDoMapper.deleteTFeeDoById(fId);
    }
}
